package com.huiju.estateagents.property.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 二手租赁喜好表
 * </p>
 *
 * @author jobob
 * @since 2019-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_transaction_like")
public class TransactionLike implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 小区ID
     */
    private Integer orgId;

    /**
     * 住户端App用户ID
     */
    private Integer taUserId;

    /**
     * 交易帖子ID
     */
    private Integer transactionId;

    /**
     * 1是喜欢 2是不喜欢
     */
    private String likeStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;


}
