package com.huiju.estateagents.sample.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 需求单表 
 * </p>
 *
 * @author fxf
 * @since 2020-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaH5Demand implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 需求id
     */
    @TableId(value = "demand_id", type = IdType.AUTO)
    private Integer demandId;

    /**
     * 样例id
     */
    private Integer sampleId;

    /**
     * 样例名
     */
    private String sampleName;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 下单组织
     */
    private String orgName;

    /**
     * 下单人
     */
    private String orderer;

    /**
     * 联系方式
     */
    private String phone;

    /**
     * 需求描述
     */
    private String demandContent;

    /**
     * 需求单状态 1是已提交2是处理中3是已交付-1是作废
     */
    private Integer demandStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;

    /**
     * 备注
     */
    private String remark;

    /**
     * 集合对象
     */
    @TableField(exist = false)
    private List<TaH5Demand> taH5Demands;
}
